skimemo


skimemo - 日記/2020-04-16/duskを実行しようとしたらChromeのバージョンでエラーが出るときの対処法

_ duskを実行しようとしたらChromeのバージョンでエラーが出るときの対処法

_ 概要

Laravel6.xでduskのテストを実行しようとしたら「Facebook\WebDriver\Exception\SessionNotCreatedException: session not created: Chrome version must be between 70 and 73」というエラーが出たので対処した。

_ 解決方法

  1. Chrome Driverのダウンロード
    以下のページからお好きなバージョンをダウンロードします。
    http://chromedriver.chromium.org/downloads
    zipを解凍し、vendor\laravel\dusk\bin にコピー。

  2. duskへのバージョンの設定 以下のコマンドでduskへChromeのバージョンを設定します。
    php artisan dusk:chrome-driver 81
    (Chrome Driverのバージョンが81系の場合)

以上です。

_ 参考

Update Chrome driver to support browser v74

Category: [Windows] - 09:44:51



 
Last-modified: 2020-04-16 (木) 09:47:53 (111d)